Skip to main content
`Ctrl`+`K`

# EPSSetInterval

Defines the computational interval for spectrum slicing.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetInterval(EPS eps,PetscReal inta,PetscReal intb)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- inta - left end of the interval

- intb - right end of the interval

## Options Database Key

- -eps_interval <a,b> - set \([a,b]\) as the interval of interest

## Notes

Spectrum slicing is a technique employed for computing all eigenvalues of symmetric eigenproblems in a given interval, see section Spectrum Slicing. This function provides the interval to be considered. It must be used in combination with `EPS_ALL`, see `EPSSetWhichEigenpairs()`.

A computational interval is also needed when using polynomial filters, see `STFILTER` and section Polynomial Filtering.

In the command-line option, two values must be provided. For an open interval, one can give an infinite, e.g., `-eps_interval 1.0,inf` or `-eps_interval -inf,1.0`. An open interval in the programmatic interface can be specified with `PETSC_MAX_REAL` and -`PETSC_MAX_REAL`.

## See Also

EPS: Eigenvalue Problem Solver, Spectrum Slicing, Polynomial Filtering, `EPSGetInterval()`, `EPSSetWhichEigenpairs()`, `STFILTER`

## Level

intermediate

## Location

src/eps/interface/epsbasic.c

## Examples

src/eps/tutorials/ex12.c
src/eps/tutorials/ex25.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages